# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g. crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "mop-structs"
version = "0.0.3"
authors = ["Caio Fernandes <c410.f3r@gmail.com>"]
description = "Low-level structures for MOP"
readme = "README.md"
keywords = ["mop"]
license = "Apache-2.0"
repository = "https://gitlab.com/c410-f3r/mop"
[package.metadata.docs.rs]
all-features = true

[[bench]]
name = "lib"
harness = false
[dependencies.mop-common]
version = "0.0.3"

[dependencies.serde]
version = "^1.0"
optional = true
default-features = false
[dev-dependencies.criterion]
version = "0.2"

[features]
default = []
parallelization = ["mop-common/parallelization"]
serialization = ["mop-common/serialization", "serde"]
std = ["mop-common/std"]
testing = ["mop-common/testing"]
